import { Token, SignExecuteScriptTxResult, SignerProvider } from "@alephium/web3";
export declare class SetMessageFee {
    private constructor();
    static execute(signer: SignerProvider, governance: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class TransferFee {
    private constructor();
    static execute(signer: SignerProvider, governance: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class UpdateGuardianSet {
    private constructor();
    static execute(signer: SignerProvider, governance: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class UpdateGovernanceContract {
    private constructor();
    static execute(signer: SignerProvider, governance: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class GetToken {
    private constructor();
    static execute(signer: SignerProvider, sender: string, token: string, amount: bigint, factor: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class AttestToken {
    private constructor();
    static execute(signer: SignerProvider, payer: string, tokenBridge: string, localTokenId: string, decimals: bigint, symbol: string, name: string, nonce: string, consistencyLevel: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class CompleteTransfer {
    private constructor();
    static execute(signer: SignerProvider, tokenBridgeForChain: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class CreateLocalAttestTokenHandler {
    private constructor();
    static execute(signer: SignerProvider, tokenBridge: string, payer: string, alphAmount: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class CreateLocalTokenPool {
    private constructor();
    static execute(signer: SignerProvider, payer: string, attestTokenHandler: string, localTokenId: string, vaa: string, alphAmount: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class CreateRemoteTokenPool {
    private constructor();
    static execute(signer: SignerProvider, payer: string, attestTokenHandler: string, vaa: string, alphAmount: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class Deposit {
    private constructor();
    static execute(signer: SignerProvider, tokenBridgeForChain: string, payer: string, amount: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class DestroyUnexecutedSequenceContracts {
    private constructor();
    static execute(signer: SignerProvider, tokenBridge: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class RegisterChain {
    private constructor();
    static execute(signer: SignerProvider, payer: string, tokenBridge: string, vaa: string, alphAmount: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class TransferLocal {
    private constructor();
    static execute(signer: SignerProvider, tokenBridge: string, fromAddress: string, localTokenId: string, alphChainId: bigint, toChainId: bigint, toAddress: string, tokenAmount: bigint, arbiterFee: bigint, nonce: string, consistencyLevel: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class TransferRemote {
    private constructor();
    static execute(signer: SignerProvider, tokenBridge: string, fromAddress: string, tokenPoolId: string, remoteTokenId: string, tokenChainId: bigint, toChainId: bigint, toAddress: string, tokenAmount: bigint, arbiterFee: bigint, nonce: string, consistencyLevel: bigint, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class UpdateMinimalConsistencyLevel {
    private constructor();
    static execute(signer: SignerProvider, tokenBridge: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class UpdateRefundAddress {
    private constructor();
    static execute(signer: SignerProvider, tokenBridge: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class UpdateRemoteTokenPool {
    private constructor();
    static execute(signer: SignerProvider, attestTokenHandler: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
export declare class UpgradeTokenBridgeContract {
    private constructor();
    static execute(signer: SignerProvider, tokenBridge: string, vaa: string, _extraParams?: {
        attoAlphAmount?: bigint;
        tokens?: Token[];
        gasAmount?: number;
        gasPrice?: bigint;
    }): Promise<SignExecuteScriptTxResult>;
}
